Qore::StderrOutputStream Class Reference

This class implements the OutputStream interface for writing bytes to the standard output stream `stderr`. More...

Inheritance diagram for Qore::StderrOutputStream:
[legend]

## Public Member Functions

nothing | close ()
| Does nothing since `stderr` cannot be closed. More...
| constructor ()
| Creates the StderrOutputStream.
nothing | write (binary data)
| Writes bytes to the output stream. More...
Public Member Functions inherited from Qore::OutputStream
| constructor ()
| Constructor. More...

## Detailed Description

This class implements the OutputStream interface for writing bytes to the standard output stream `stderr`.

Restrictions:
  Qore::PO_NO_TERMINAL_IO

Example: StderrOutputStream basic usage
  StderrOutputStream seos();
  seos.write(<01>);
  seos.write(<0203>);
  # three bytes have been written to stderr: 01 02 03

Note
  stream classes are not designed to be accessed from multiple threads; they have been implemented without locking for fast and efficient use when used from a single thread. For methods that would be unsafe to use in another thread, any use of such methods in threads other than the thread where the constructor was called will cause a `STREAM-THREAD-ERROR` to be thrown.
  This class is not available with the PO_NO_TERMINAL_IO parse option

See also
  StreamWriter for a class that can be used to write various kinds of data to an OutputStream

Since
  Qore 0.8.13

## Member Function Documentation

## close()

nothing Qore::StderrOutputStream::close | ( |  | ) |

virtual

Does nothing since `stderr` cannot be closed.

Exceptions

  STREAM-THREAD-ERROR | this exception is thrown if this method is called from any thread other than the thread that created the object

Implements Qore::OutputStream.

## write()

nothing Qore::StderrOutputStream::write | ( | binary | data | ) |

virtual

Writes bytes to the output stream.

Parameters

  data | the data to write

Example:
  StderrOutputStream seos();
  seos.write(<01>);
  seos.write(<0203>);
  # three bytes have been written to stderr: 01 02 03

Exceptions

  STREAM-THREAD-ERROR | this exception is thrown if this method is called from any thread other than the thread that created the object

Implements Qore::OutputStream.